<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Models\User;
use App\Providers\RouteServiceProvider;
use Illuminate\Support\Facades\Auth;
use Laravel\Socialite\Facades\Socialite;

class SocialAuthController extends Controller
{
    public function googleRedirect()
    {
        return Socialite::driver('google')->redirect();
    }

    // google callback
    public function googleCallback()
    {
        $user = Socialite::driver('google')->stateless()->user();

        $this->registerOrLoginGoogleUser($user);

        return redirect(RouteServiceProvider::defaultHome());
    }

    protected function registerorLoginGoogleUser($incomingUser)
    {

        $user = User::where('google_id', $incomingUser->id)->first();
        if (!$user) {
            $user = new User();
            $user->email = $incomingUser->email;
            $user->google_id = $incomingUser->id;
            $user->password = encrypt('password'); //make password nullable =
        }
        $user->name = $incomingUser->name;
        $user->avatar = $incomingUser->avatar;
        $user->save();

        Auth::login($user, true);
    }
}
