<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('posts', function (Blueprint $table) {
            $table->ulid('id')->primary();
            $table->string('title', 100);
            $table->string('slug', 150)->unique();
            $table->string('content', 10000);
            $table->string('cover_image')->nullable();
            $table->string('topic_id', 255)->nullable();
            $table->string('author_id', 255);
            $table->string('visibility')->default('private')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('posts');
    }
};
