import { initializeApp } from "firebase/app";
import { getAnalytics } from "firebase/analytics";
import {
    getAuth,
    RecaptchaVerifier,
    signInWithPhoneNumber,
} from "firebase/auth";
import { getMessaging, getToken } from "firebase/messaging";
import axios from "axios";
const firebaseConfig = {
    apiKey: " AIzaSyArCAgzbztQ1bJT8MRbJJ4z586ccvahyx4",
    authDomain: "phoneverification-136b3.firebaseapp.com",
    projectId: "phoneverification-136b3",
    storageBucket: "phoneverification-136b3.appspot.com",
    messagingSenderId: "725052259351",
    appId: "1:725052259351:web:f002152cda6416e7e07052",
    measurementId: "G-TT7FYC4XMH",
    SERVER_KEY:
        "AAAAqNB7fBc:APA91bH-XZQhTGny5KV9j4MU7UueLZReujTYck6n-6dgD3whOpZPphrPSboB6pk6JwIz9bhXDcWPKHvMANGqwopeo9qRu9TIoH2ESVpcgaJcXocErJfCwrWBk7AE1jZcbCFzhMdBoHeC",
};
const vapid_key =
    "BEl-qjTk2ukDQPFdCOmtsZhZ_qDHDc6-kKG7wquqOvMmCZ85qGHsHlFEJedxUeOqryRRnIiU7MzQExVqBqUFcAo BEl-qjTk2ukDQPFdCOmtsZhZ_qDHDc6-kKG7wquqOvMmCZ85qGHsHlFEJedxUeOqryRRnIiU7MzQExVqBqUFcAo";

// Initialize Firebase
const app = initializeApp(firebaseConfig);
const analytics = getAnalytics(app);
const messaging = getMessaging(app);
export const firebase = {
    getAuth,
    getToken,
    RecaptchaVerifier,
    signInWithPhoneNumber,
    vapid_key,
    messaging,
    analytics,
    subscribeToTopic,
};
function subscribeToTopic(token, topic) {
    return new Promise((resolve, reject) => {
        // Use parentheses here
        fetch(
            "https://iid.googleapis.com/iid/v1/" +
                token +
                "/rel/topics/" +
                topic,
            {
                method: "POST",
                headers: new Headers({
                    Authorization: "key=" + firebaseConfig.SERVER_KEY,
                }),
            }
        )
            .then((response) => {
                if (response.status < 200 || response.status >= 400) {
                    reject(
                        "Error subscribing to topic: " +
                            response.status +
                            " - " +
                            response.text()
                    );
                }
                resolve('Subscribed to "' + topic + '"');
            })
            .catch((error) => {
                reject(error);
            });
    });
}

//registering service worker
if ("serviceWorker" in navigator) {
    navigator.serviceWorker
        .register("/firebase-messaging-sw.js")
        .then((registration) => {
            console.log(
                "Service Worker registered with scope:",
                registration.scope
            );
        })
        .catch((error) => {
            console.error("Service Worker registration failed:", error);
        });
}
function saveToken(currentToken) {
    axios
        .post("/api/save-device-token/" + currentToken)
        .then((res) => {
            console.log("device token saved Successfully");
        })
        .catch((error) => {
            console.log("Error saving token:", error, error.message);
        });
}
export function requestPermission({ device_token }) {
    Notification.requestPermission().then((permission) => {
        if (permission === "granted") {
            console.log("Notification permission granted.");
            firebase
                .getToken(firebase.messaging, { vapidKey: firebase.vapidKey })
                .then((currentToken) => {
                    if (currentToken) {
                        if (currentToken != device_token) {
                            firebase
                                .subscribeToTopic(currentToken, "posts")
                                .then((response) => {
                                    saveToken(currentToken);
                                    // See the MessagingTopicManagementResponse reference documentation
                                    // for the contents of response.
                                    console.log(
                                        "Successfully subscribed to topic:",
                                        response
                                    );
                                })
                                .catch((error) => {
                                    console.log(
                                        "Error subscribing to topic:",
                                        error
                                    );
                                });
                        }
                    } else {
                        // Show permission request UI
                        console.log(
                            "No registration token available. Request permission to generate one."
                        );
                        // ...
                    }
                })
                .catch((err) => {
                    console.log(
                        "An error occurred while retrieving token. ",
                        err
                    );
                    // ...
                });
        }
    });
}
