import Section from "@/Components/Section";
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout";
import { Link } from "@inertiajs/react";

const CountContainer = ({ title, count }) => (
    <Link href={"/admin/" + title.toLowerCase()} className=" block ">
        <Section title={title} className=" w-full   rounded-md">
            <h2 className="mt-5">{count}</h2>
        </Section>
    </Link>
);

export default function Dashboard({ auth, users, posts, topics }) {
    return (
        <AuthenticatedLayout user={auth.user} header="Dashboard">
            <div className="grid grid-flow-row md:grid-flow-col auto-cols-auto gap-4">
                <CountContainer title="Users" count={users} />
                <CountContainer title="Posts" count={posts} />
                <CountContainer title="Topics" count={topics} />
            </div>
        </AuthenticatedLayout>
    );
}
