import AutoSelectLayout from "@/Layouts/AutoSelectLayout";
import DeleteUserForm from "./Partials/DeleteUserForm";
import UpdatePasswordForm from "./Partials/UpdatePasswordForm";
import UpdateProfileInformationForm from "./Partials/UpdateProfileInformationForm";

import Section from "@/Components/Section";

export default function Edit({ auth, mustVerifyEmail, status }) {
    return (
        <AutoSelectLayout user={auth.user} header="Profile">
            <div className="py-12">
                <div className="max-w-7xl mx-auto sm:px-6 lg:px-8 space-y-6">
                    <Section>
                        <UpdateProfileInformationForm
                            mustVerifyEmail={mustVerifyEmail}
                            status={status}
                            className="max-w-xl"
                        />
                    </Section>

                    <Section>
                        <UpdatePasswordForm className="max-w-xl" />
                    </Section>

                    <Section>
                        <DeleteUserForm className="max-w-xl" />
                    </Section>
                </div>
            </div>
        </AutoSelectLayout>
    );
}
