import Layout from "@/Layouts/Layout";

export default function Projects({ auth, projects }) {
    return (
        <Layout user={auth.user}>
            <h1 className="font-extrabold  mt-10 ">Projects</h1>

            {projects.length ? (
                <div className="md:columns-3 mt-10">
                    {projects.map((project) => (
                        <div
                            className="border p-5 rounded-md break-inside-avoid-column"
                            key={project.id}
                        >
                            <h3>{project.title}</h3>

                            {project.link && (
                                <a href={project.link} className="ml-auto">
                                    <svg
                                        xmlns="http://www.w3.org/2000/svg"
                                        fill="none"
                                        viewBox="0 0 24 24"
                                        strokeWidth={1.5}
                                        stroke="currentColor"
                                        className="w-6 h-6"
                                    >
                                        <path
                                            strokeLinecap="round"
                                            strokeLinejoin="round"
                                            d="M13.5 6H5.25A2.25 2.25 0 003 8.25v10.5A2.25 2.25 0 005.25 21h10.5A2.25 2.25 0 0018 18.75V10.5m-10.5 6L21 3m0 0h-5.25M21 3v5.25"
                                        />
                                    </svg>
                                </a>
                            )}
                            <p className="mt-5">{project.description}</p>
                        </div>
                    ))}
                </div>
            ) : (
                <center className="mt-10 ">No Projetcs listed yet</center>
            )}
        </Layout>
    );
}
